Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 225115 - kde-base/kdesdk-scripts-3.5.9 missing a few "scripts"
Summary: kde-base/kdesdk-scripts-3.5.9 missing a few "scripts"
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2008-06-06 13:13 UTC by Tais P. Hansen
Modified: 2009-05-27 18:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Test case for kde-emacs, Sample.h (Sample.H,96 bytes, text/plain)
2008-08-26 07:14 UTC, Ulrich Müller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tais P. Hansen 2008-06-06 13:13:56 UTC
It would be nice to have the gdb and valgrind helpers installed as well. I.e. "kde-devel-*" and "kde.supp" from kdesdk/scripts/.
Comment 1 Carsten Lohrke (RETIRED) gentoo-dev 2008-08-25 23:22:10 UTC
Vim and emacs folks, would you be so kind to have a look at scripts/kde-devel-vim.vim respective scripts/{kde-devel-emacs.el,kde-emacs/*}, please and point out potential (compatibility) issues!?

Tais, which of the other scripts are you interested in? I don't see a point in providing all of them. On the one hand a developer has a look at these sources anyways and modifies them to his needs and on the other we're marching towards KDE 4 anyways.
Comment 2 Ulrich Müller gentoo-dev 2008-08-26 00:28:15 UTC
> Vim and emacs folks, would you be so kind to have a look at
> scripts/kde-devel-vim.vim respective scripts/{kde-devel-emacs.el,kde-emacs/*},
> please and point out potential (compatibility) issues!?

scripts/kde-devel-emacs.el says that it is deprecated:
   (setq-default initial-scratch-message
         "File kde-devel-emacs.el is deprecated! 
   Please use KDE-Emacs from kdesdk/scripts/kde-emacs.")

I can have a look at scripts/kde-emacs/* later this week. Is there any documentation for it?
Comment 3 Tais P. Hansen 2008-08-26 06:57:38 UTC
I was mostly interested in kde.supp (for valgrind) and kde-devel-gdb (for gdb debugging).
Comment 4 Ulrich Müller gentoo-dev 2008-08-26 07:14:12 UTC
Created attachment 163796 [details]
Test case for kde-emacs, Sample.h

(In reply to comment #2)
> I can have a look at scripts/kde-emacs/* later this week.

Looks like this is broken with Emacs 22.2. Here is a test case, I have tested it with kdesdk-scripts-4.0.5:

  1. Save attached file as Sample.H .
  2. emacs -L /path/to/kde-emacs -l kde-emacs Sample.H
  3. Move point to one of the member function declarations
  4. Press <f9> function key (or "M-x agulbra-make-member RET")

This is supposed to create a buffer Sample.cpp with a template for the member function. While it seems to work with Emacs 21.4, I get the following message with Emacs 22.2:

Symbol's function definition is void: c-narrow-out-enclosing-class
Comment 5 Carsten Lohrke (RETIRED) gentoo-dev 2008-09-14 22:16:33 UTC
Uh, many thanks for having a look and sorry for pointing you to the wrong file, Ulrich. When it's broken we can wait for some interested party to fix it, I guess. The files are not installed by default on purpose anyways.

un'ccing  emacs and vim folks for now.

(In reply to comment #3)
> I was mostly interested in kde.supp (for valgrind) and kde-devel-gdb (for gdb
> debugging).

And this is the one I have the most problems with. I'm not going to replace the referenced libraries with the ones you have at install time on your system and once these libraries change you have to modify the file accordingly anyways. Moreso, this file is thought to be adapted to individual users needs and not to be installed globally. Last but not least, there won't be any future KDE 3.5 release, so it'll stay static anyways. Either simply use it or create an ebuild in your local overlay yourself.
Comment 6 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-27 18:46:58 UTC
Sorry but WONTFIX :)
Open an enhancement bug for kde4 if still interested